%define pypi_name pickleshare
%global __requires_exclude pythonegg\\(3\\)\\(pathlib2\\)

Name:           python-%{pypi_name}
Version:        0.7.2
Release:        %mkrel 2
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support

License:        MIT
URL:            https://github.com/pickleshare/pickleshare
Source0:        https://pypi.python.org/packages/3.4/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       pythonegg(2)(pathlib2)

%description
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.


%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Tiny 'shelve'-like database with concurrency support

%description -n python3-%{pypi_name}
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in
database is immediately visible to other processes accessing the same database.
Concurrency is possible because the values are stored in separate files.


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%{python2_sitelib}/

%files -n python3-%{pypi_name}
%{python3_sitelib}/



%changelog
* Sun Apr 17 2016 philippem <philippem> 0.7.2-2.mga6
+ Revision: 1003192
- remove pythonegg(3)(pathlib2) from autorequires

* Fri Apr 15 2016 philippem <philippem> 0.7.2-1.mga6
+ Revision: 1002848
- update to 0.7.2

  + joequant <joequant>
    - imported package python-pickleshare

